"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3280>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3310>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad33a0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3430>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad34c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3550>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad35e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3670>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3700>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3790>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3820>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad38b0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3940>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad39d0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3a60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3af0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3b80>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3c10>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3ca0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3d30>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3dc0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3e50>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3ee0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad3f70>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad70d0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7040>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7160>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad71f0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7280>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7310>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad73a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7430>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad74c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7550>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad75e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7670>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7700>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7790>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7820>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad78b0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7940>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad79d0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7a60>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7af0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7b80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7c10>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7ca0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7d30>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7dc0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7e50>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7ee0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ad7f70>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb040>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb0d0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb160>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb1f0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb280>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb310>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb3a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb430>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb4c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb550>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb5e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb670>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb700>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb8b0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb790>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb940>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adb9d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adba60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adbaf0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adbb80>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adbca0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adbc10>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adbd30>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adbdc0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adbe50>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adbf70>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660adbee0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ade040>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ade0d0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ade160>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ade1f0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ade280>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fc660ade310>)]
name: str = 'fr_HOCCN'
